# Method: customers.devices.list

- [HTTP request](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.request_body)
- [Response body](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.response_body)
  - [JSON representation](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.ListDevicesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices/list#body.aspect)

Lists a customer's devices.

### HTTP request

`GET https://androiddeviceprovisioning.googleapis.com/v1/{parent=customers/*}/devices`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The customer managing the devices. An API resource name in the format `customers/[CUSTOMER_ID]`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The maximum number of devices to show in a page of results. Must be between 1 and 100 inclusive. |
| `pageToken` | `string` A token specifying which result page to return. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message of customer's liting devices.

| JSON representation ||
|---|---|
| ``` { "devices": [ { object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices#Device`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `devices[]` | ``object (`https://developers.google.com/zero-touch/reference/customer/rest/v1/customers.devices#Device`)`` The customer's devices. |
| `nextPageToken` | `string` A token used to access the next page of results. Omitted if no further results are available. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidworkzerotouchemm`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).